Bug 473809 - X freeze with error intel_bufmgr_fake.c:387: Error waiting for fence: Device or resource busy.
X freeze with error intel_bufmgr_fake.c:387: Error waiting for fence: Device ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Patch, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-30 15:15 EST by Michael Young
Modified: 2009-12-04 12:57 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-04 12:57:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log file (69.27 KB, text/plain)
2008-11-30 15:15 EST, Michael Young
no flags Details
Xorg logfile with Xorg freezing (38.80 KB, text/plain)
2009-01-06 15:57 EST, Andreas Petzold
no flags Details
xorg.conf for freezing Xorg (3.43 KB, text/plain)
2009-01-06 16:16 EST, Andreas Petzold
no flags Details
xorg.conf for working Xorg with NoAccel true (3.43 KB, text/plain)
2009-01-06 16:19 EST, Andreas Petzold
no flags Details

  None (edit)
Description Michael Young 2008-11-30 15:15:18 EST
Created attachment 325143 [details]
Xorg.0.log file

Having preiviously suffered from bug 461829 in the pre-releases, now X is freezing with a different error, the last line of Xorg.0.log being
intel_bufmgr_fake.c:387: Error waiting for fence: Device or resource busy.
This is an unpatched F10 distribution (actually a live CD booted from USB).
Comment 1 Andreas Petzold 2009-01-06 15:57:37 EST
Created attachment 328314 [details]
Xorg logfile with Xorg freezing
Comment 2 Andreas Petzold 2009-01-06 16:15:29 EST
Laptop with Intel Graphics 82830. Xorg freezes with "intel_bufmgr_fake.c:387: Error waiting for fence: Device or resource busy." on a fully up-to-date F10. See attachment from #1 which was obtained running startx from runlevel 3.

Seems to have something to do with 2D acceleration because Xorg doesn't freeze if 

Option "NoAccel" "true"

is used in xorg.conf. However, on my trusty old laptop, work is virtually impossible w/o 2D acceleration.

This seems to be related to bug 474118 , bug 436585 and maybe others - at least all of those seem to have problems with 2D acceleration.

lspci -vv of the graphics controller:
00:02.0 VGA compatible controller: Intel Corporation 82830 CGC [Chipset Graphics Controller] (rev 04) (prog-if 00 [VGA controller])
        Subsystem: Samsung Electronics Co Ltd Device c002
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin A routed to IRQ 10
        Region 0: Memory at e8000000 (32-bit, prefetchable) [size=128M]
        Region 1: Memory at e0000000 (32-bit, non-prefetchable) [size=512K]
        Capabilities: [d0] Power Management version 1
                Flags: PMEClk- DSI+ D1+ D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Kernel modules: intelfb

00:02.1 Display controller: Intel Corporation 82830 CGC [Chipset Graphics Controller]
        Subsystem: Samsung Electronics Co Ltd Device c002
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0 (2500ns max)
        Region 0: Memory at f0000000 (32-bit, prefetchable) [size=128M]
        Region 1: Memory at e0080000 (32-bit, non-prefetchable) [size=512K]
        Capabilities: [d0] Power Management version 1
                Flags: PMEClk- DSI+ D1+ D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

I hope this will get some attention soon. Please let me know what else I can do to help.
Comment 3 Andreas Petzold 2009-01-06 16:16:56 EST
Created attachment 328316 [details]
xorg.conf for freezing Xorg
Comment 4 Andreas Petzold 2009-01-06 16:19:01 EST
Created attachment 328317 [details]
xorg.conf for working Xorg with NoAccel true
Comment 5 Andreas Petzold 2009-02-01 12:53:39 EST
Came across

http://www.graphics-muse.org/wp/?p=314

which fixes the problem for me on F10. This involves rebuilding the libdrm module and rebuilding xf86-video-intel from the freedesktop.org git repo. I've not yet checked what patch be responsible for the better behaviour.

W/o NoAccel it feels like I just upgraded my laptop. 

Maybe someone more knowledgeable in xorg stuff can check and either backport the fix to the driver used in F10 or just switch to the newer driver and libdrm.
Comment 6 Vedran Miletić 2009-11-05 18:11:51 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, including Intel driver, which may have resolved this issue.
To be more precise, Intel has undergone a major rewrite during Fedora 10, 11 and 12 cycles, and whole driver is working a lot better now. Users who have experienced this problem are encouraged to retry with at least Fedora 12 Beta and see if the issue is still relevant.

Please, if you experience this problem on Fedora 12 Beta or up-to-date system running Rawhide, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

We hope to see how many older bugs in Intel driver are still relevant today, in hope that most of them were fixed in rewrite process.

[This is a bulk message for all open Fedora 10 i810-related bugs (39 of them are still open). I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 7 Bug Zapper 2009-11-18 04:05:13 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Vedran Miletić 2009-12-04 12:57:09 EST
Thank you for your bug report.

We are sorry, but the Fedora Project is will soon stop longer releasing bug fixes or any other updates for this version of Fedora. There were so many changes between Fedora 10 and Fedora 12 in Intel driver and X.Org that it's very likely that this bug is fixed. This bug will be set to CLOSED:WONTFIX to reflect this, but please reopen it if the problem persists after upgrading to the latest version of Fedora (version 12), which is available from:

http://fedoraproject.org/get-fedora

Note You need to log in before you can comment on or make changes to this bug.